Skip to main content
GET
Stream install logs

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Path Parameters

id
string
required

Install ID

Required string length: 1 - 55
Example:

"inst_j572abc123def456"

Query Parameters

pod
string

Pod name (all pods if omitted)

Required string length: 1 - 253
container
string

Container name

Required string length: 1 - 253
follow
boolean | null
default:true

Follow log output

tail
integer | null

Lines to tail

since_seconds
integer | null
default:0

Only return logs newer than this many seconds

Response

Log stream

event
enum<string>
required
Available options:
message
data
string
required

JSON-encoded log payload with fields like content, podName, containerName, timestamp, and last.

Example:

"{\"content\":\"hello\",\"podName\":\"app-pod\",\"containerName\":\"web\",\"timestamp\":\"2026-05-13T12:00:00Z\",\"last\":false}"